# Created by pyp2rpm-3.3.1
%global pypi_name PyPrind
%define oname pyprind

Name:           python-%{oname}
Version:        2.11.2
Release:        %mkrel 2
Summary:        Python Progress Bar and Percent Indicator Utility
Group:          Development/Python
License:        BSD
URL:            https://github.com/rasbt/pyprind
Source0:        https://files.pythonhosted.org/packages/source/p/pyprind/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
 
BuildRequires:  pkgconfig(python3)

%description
The PyPrind (Python Progress Indicator) module provides a progress bar and a
percentage indicator object that let you track the progress of a loop structure
or other iterative computation. Typical applications include the processing of
large data sets to provide an intuitive estimate at runtime about the progress
of the computation.For more details and examples please see the package...

%package -n     python3-%{oname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
The PyPrind (Python Progress Indicator) module provides a progress bar and a
percentage indicator object that let you track the progress of a loop structure
or other iterative computation. Typical applications include the processing of
large data sets to provide an intuitive estimate at runtime about the progress
of the computation.For more details and examples please see the package...


%prep
%setup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install

%files
%{python2_sitelib}/pyprind
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{oname}
%{_prefix}/lib/python3.10

%changelog
* Mon Aug 22 2022 tex - 2.11.2-2pclos2022
- rebuild against updates

* Fri Aug 24 2018 tex 2.11.2-1pclos2018
- new
